=== bin/Makefile ===
# Main build script
# (C) Copyright IBM Corp. 2008-2009
# Licensed under the GPLv2.

include ../Rules.mk
BUILD_FILES=pwrkap_aggregate pwrkap_cli pwrkap_gtk pwrkap_main

all: $(BUILD_FILES)

clean:;
	rm -rf $(BUILD_FILES)

pwrkap_aggregate: pwrkap.sh.template
	sed -e 's|%PREFIX%|$(PREFIX)|g' -e 's/%PROGRAM%/$@/g' < $^ > $@
	chmod a+x $@

pwrkap_cli: pwrkap.sh.template
	sed -e 's|%PREFIX%|$(PREFIX)|g' -e 's/%PROGRAM%/$@/g' < $^ > $@
	chmod a+x $@

pwrkap_gtk: pwrkap.sh.template
	sed -e 's|%PREFIX%|$(PREFIX)|g' -e 's/%PROGRAM%/$@/g' < $^ > $@
	chmod a+x $@

pwrkap_main: pwrkap.sh.template
	sed -e 's|%PREFIX%|$(PREFIX)|g' -e 's/%PROGRAM%/$@/g' < $^ > $@
	chmod a+x $@

install: all
	mkdir -p $(INST_PREFIX)$(PREFIX)/bin
	$(INSTALL) $(BUILD_FILES) -o root -g root -t $(INST_PREFIX)$(PREFIX)/bin
