=== data/Makefile ===
# Main build script
# (C) Copyright IBM Corp. 2008-2009
# Licensed under the GPLv2.

include ../Rules.mk
BUILD_FILES=pwrkap.desktop
OTHER_FILES=pwrkap_aggregate.conf ui.glade pwrkap.svg
INSTALL_FILES=$(BUILD_FILES) $(OTHER_FILES)

pwrkap.desktop: pwrkap.desktop.template
	sed -e 's|%PREFIX%|$(PREFIX)|g' < $^ > $@

all: $(INSTALL_FILES)

clean:

install: $(INSTALL_FILES)
	mkdir -p $(INST_PREFIX)$(PREFIX)/share/pwrkap $(INST_PREFIX)$(PREFIX)/share/applications
	$(INSTALL) $(OTHER_FILES) -o root -g root -m 644 -t $(INST_PREFIX)$(PREFIX)/share/pwrkap
	$(INSTALL) pwrkap.desktop -o root -g root -m 644 -t $(INST_PREFIX)$(PREFIX)/share/applications
