=== docs/Makefile ===
# Main build script
# (C) Copyright IBM Corp. 2008-2009
# Licensed under the GPLv2.

include ../Rules.mk
BUILD_FILES=README DESIGN

all: $(BUILD_FILES)

clean:;
	rm -rf *.pyc *.pyo pwrkap*.bin $(BUILD_FILES)

DESIGN: DESIGN.template
	sed -e 's/%VERSION%/$(PWRKAP_VERSION)/g' -e 's/%DATE%/$(PWRKAP_DATE)/g' < $^ > $@

README: README.template
	sed -e 's/%VERSION%/$(PWRKAP_VERSION)/g' -e 's/%DATE%/$(PWRKAP_DATE)/g' < $^ > $@

install: all
	mkdir -p $(INST_PREFIX)$(PREFIX)/share/pwrkap
	$(INSTALL) COPYING DESIGN README -o root -g root -m 644 -t $(INST_PREFIX)$(PREFIX)/share/pwrkap
