=== man/Makefile ===
# Main build script
# (C) Copyright IBM Corp. 2008-2009
# Licensed under the GPLv2.

include ../Rules.mk
DAEMON_MANPAGES=pwrkap_main.8.gz pwrkap_aggregate.8.gz
TOOL_MANPAGES=pwrkap_gtk.1.gz pwrkap_cli.1.gz
CONFIGFILE_MANPAGES=pwrkap_aggregate.5.gz
BUILD_FILES=$(DAEMON_MANPAGES) $(TOOL_MANPAGES) $(CONFIGFILE_MANPAGES)

all: $(BUILD_FILES)

clean:;
	rm -rf $(BUILD_FILES)

%.8.gz: %.8
	gzip -9 < $^ > $@

%.1.gz: %.1
	gzip -9 < $^ > $@

%.5.gz: %.5
	gzip -9 < $^ > $@

install: $(BUILD_FILES)
	mkdir -p $(INST_PREFIX)$(PREFIX)/share/man/man1 $(INST_PREFIX)$(PREFIX)/share/man/man8 $(INST_PREFIX)$(PREFIX)/share/man/man5
	$(INSTALL) $(CONFIGFILE_MANPAGES) -o root -g root -t $(INST_PREFIX)$(PREFIX)/share/man/man5
	$(INSTALL) $(DAEMON_MANPAGES) -o root -g root -t $(INST_PREFIX)$(PREFIX)/share/man/man8
	$(INSTALL) $(TOOL_MANPAGES) -o root -g root -t $(INST_PREFIX)$(PREFIX)/share/man/man1
