=== pwrkap/Makefile ===
# Main build script
# (C) Copyright IBM Corp. 2008-2009
# Licensed under the GPLv2.

include ../Rules.mk
BUILD_FILES=ui_controller.py

all: $(BUILD_FILES)

clean:;
	rm -rf $(BUILD_FILES)

ui_controller.py: ui_controller.py.template
	sed -e 's|%PREFIX%|$(PREFIX)|g' < $^ > $@

install: all
	mkdir -p $(INST_PREFIX)$(PREFIX)/lib/pwrkap
	$(INSTALL) *.py -o root -g root -m 644 -t $(INST_PREFIX)$(PREFIX)/lib/pwrkap
