=== debian/changelog ===
pwrkap (7.30-5) unstable; urgency=low

  [ Arnaud Quette ]
  * debian/control: actually remove python-matplotlib Depends from pwrkap

 -- Arnaud Quette <aquette@debian.org>  Tue, 06 Jul 2010 21:31:13 +0200

pwrkap (7.30-4) unstable; urgency=low

  [ Arnaud Quette ]
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/rules: remove data/pwrkap.desktop upon clean (upstream bug)
  * debian/control:
    - update Standards-Version to 3.8.4
    - move python-matplotlib Depends from pwrkap to pwrkap-gui (from Ubuntu)

 -- Arnaud Quette <aquette@debian.org>  Thu, 24 Jun 2010 20:01:07 +0200

pwrkap (7.30-3) unstable; urgency=low

  * debian/pwrkap.init: actually apply the start-stop-daemon PID use.
  * debian/control: update Standards-Version

 -- Arnaud Quette <aquette@debian.org>  Wed, 25 Nov 2009 15:22:25 +0100

pwrkap (7.30-2) unstable; urgency=low

  * debian/pwrkap.init (patches from Raphael Geissert):
    - fix incorrect dependencies on init script (Closes: #541625)
    - use start-stop-daemon's -p feature to handle PID (Closes: #541624)
  * debian/control: add ${misc:Depends} back to Depends (from Ubuntu)
  * debian/copyright: fix Copyright letter case and precise GPL v2 for the
    Debian packages Copyright (from Ubuntu)

 -- Arnaud Quette <aquette@debian.org>  Wed, 25 Nov 2009 14:44:45 +0100

pwrkap (7.30-1) unstable; urgency=low

  * Initial release (Closes: #514733)

 -- Arnaud Quette <aquette@debian.org>  Tue, 10 Feb 2009 10:23:01 +0100
