=== debian/control ===
Source: pwrkap
Section: admin
Priority: optional
Maintainer: Arnaud Quette <aquette@debian.org>
Build-Depends: debhelper (>= 6)
Standards-Version: 3.8.4
Homepage: http://pwrkap.sourceforge.net/
Vcs-Browser: http://kernel.org/pub/scm/linux/kernel/git/djwong/pwrkap/
Vcs-Git: git://git.kernel.org/pub/scm/linux/kernel/git/djwong/pwrkap

Package: pwrkap
Section: admin
Architecture: all
Depends: ${misc:Depends}, python (>= 2.4)
Replaces: powercap
Description: Energy use monitor and Power Cap enforcement tools - Core
 pwrkap is a set of utilities that monitor computer energy consumption
 and enforces an upper limit on the amount of power consumed by the
 computer at any given time.
 .
 This package contains the core system, and the Command Line Interface (CLI)
 tools.

Package: pwrkap-gui
Section: admin
Architecture: all
Depends: ${misc:Depends}, python (>= 2.4), pwrkap (= ${binary:Version}), python-gtk2, python-matplotlib
Description: Energy use monitor and Power Cap enforcement tools - GTK+ GUI
 pwrkap is a set of utilities that monitor computer energy consumption
 and enforces an upper limit on the amount of power consumed by the
 computer at any given time.
 .
 This package contains the GTK+ Graphical User Interface (GUI).
