=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	# fix an upstream bug
	rm -f data/pwrkap.desktop
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean

build: build-stamp
build-stamp:
	dh_testdir
	touch build-stamp

install: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) PREFIX=/usr INST_PREFIX=$(CURDIR)/debian/tmp install
	rm -f $(CURDIR)/debian/tmp/usr/share/pwrkap/DESIGN \
		$(CURDIR)/debian/tmp/usr/share/pwrkap/README \
		$(CURDIR)/debian/tmp/usr/share/pwrkap/COPYING

# Build architecture-independent files here.
binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_installexamples
	dh_install
	dh_installdebconf
	dh_installcron
	dh_installinit
	dh_installman
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Build architecture-dependent files here.
binary-arch: install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
